Bug 212339 - Can't access to block devices during %pre kickstart section
Can't access to block devices during %pre kickstart section
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-10-26 09:11 EDT by Edouard Bourguignon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 10:26:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edouard Bourguignon 2006-10-26 09:11:58 EDT
Description of problem:

Our kickstart tries to detect and mount partitions found by the kernel in the
%pre section of the install, cause we want to backup some files before the disks
get formated.
It's based on /proc/partitions, try to find where is the fstab of the previous
install and then mount all the old partitions in the good place (to have the
same structure as before). Then the kickstart copies some files (mainly from
It was working like a charm witch FC5, but not anymore with FC6

First the kernel segfault while trying to mount /dev/sda (ok it's not so bad
because /dev/sda is useless). But nodes for the partitions are missing... seems
udev is missing too... can't get lvm to detect vg etc too.
Even if we mknod some devs, we can't mount it (device or ressource is busy)

So how can we mount some block device from this new anaconda (especialy in the

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot from the FC6 dvd (or cd)
2. linux rescue
3. in the shell, mkdir /sda
4. mount /dev/sda /sda (twice)
5. seg fault


4. ls /dev (no lvm mapper controll)
5. start_udev is missing
6. cat /proc/partitions (good, partitions are correctly detected)
7. mknod /dev/sda1 b 8 1
8. mount /dev/sda1 /sda => device or ressource is busy
Actual results:

In most case, kernel Segfault
In good days, can't mount any block devices (too busy)

Expected results:

On fc5, results with our kickstart are:
- Lvm VG are detected (if presents) and mounted
- All partitions found by the kernel are mounted too
- No segfault

Additional info:

May be there is a new way to access device with the fc6 anaconda?
Comment 1 Edouard Bourguignon 2006-10-27 05:05:52 EDT
In fact udev and lvm are only missing in a newly buildinstalled anaconda,
something change in buildinstall process on fc6?

(but the segfault in trying to mount /dev/sda twice also appears in the original
fc6 dvd)
Comment 2 Edouard Bourguignon 2006-10-27 08:41:29 EDT
ok it works now

the problem is with mount, and its FS autoprobe function. If I use the -t option
it works. It's a bit annoying because I can't guess the FS type of the
partition... Do you want the kernel segfault trace log?
Comment 3 Jeremy Katz 2006-10-30 14:18:06 EST
Device nodes should exist when %pre is run.  Are you sure they don't?
Comment 4 Edouard Bourguignon 2006-10-31 04:38:57 EST
I was building an FC5 anaconda on a FC6 maybe that was why i get this problem.
Now building an FC6 anaconda on my FC6 seems ok, all dev nodes are presents,
just the segfault with mount without -t is still there.
Comment 5 Jeremy Katz 2006-10-31 10:26:08 EST
That's a bug in busybox (feel free to file it).  FC5 anaconda breaking when
built on FC6 doesn't really surprise me much :)
Comment 6 Edouard Bourguignon 2006-10-31 10:58:28 EST
ok thanks :)

Note You need to log in before you can comment on or make changes to this bug.